CREATE TABLE ar_trans_field_formats (
    FIELD_FORMAT_ID               NUMBER        ,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    RECORD_FORMAT_ID              NUMBER            NOT NULL,
    TRANSMISSION_FORMAT_ID        NUMBER            NOT NULL,
    FIELD_START_POSITION          NUMBER            NOT NULL,
    FIELD_END_POSITION            NUMBER            NOT NULL,
    FIELD_TYPE_LOOKUP_CODE        VARCHAR2(120)     NOT NULL,
    DESCRIPTION                   VARCHAR2(960) ,
    DATE_PICTURE_LOOKUP_CODE      VARCHAR2(120) ,
    TIME_PICTURE_LOOKUP_CODE      VARCHAR2(120) ,
    JUSTIFICATION_LOOKUP_CODE     VARCHAR2(120) ,
    AMOUNT_FORMAT_LOOKUP_CODE     VARCHAR2(120) ,
    OVERFLOW_REC_INDICATOR        VARCHAR2(4)   ,
    FILL_CHARACTER_LOOKUP_CODE    VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    FIELD_FORMAT_ID               NUMBER        ,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    RECORD_FORMAT_ID              NUMBER            NOT NULL,
    TRANSMISSION_FORMAT_ID        NUMBER            NOT NULL,
    FIELD_START_POSITION          NUMBER            NOT NULL,
    FIELD_END_POSITION            NUMBER            NOT NULL,
    FIELD_TYPE_LOOKUP_CODE        VARCHAR2(120)     NOT NULL,
    DESCRIPTION                   VARCHAR2(960) ,
    DATE_PICTURE_LOOKUP_CODE      VARCHAR2(120) ,
    TIME_PICTURE_LOOKUP_CODE      VARCHAR2(120) ,
    JUSTIFICATION_LOOKUP_CODE     VARCHAR2(120) ,
    AMOUNT_FORMAT_LOOKUP_CODE     VARCHAR2(120) ,
    OVERFLOW_REC_INDICATOR        VARCHAR2(4)   ,
    FILL_CHARACTER_LOOKUP_CODE    VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_ar_trans_field_formats PRIMARY KEY (FIELD_FORMAT_ID, FIELD_FORMAT_ID)
);
